Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter
Class OracleappsCPManagedConnectionFactoryExt

    com.stc.connector.oracleappsadapter.OracleappsCPManagedConnectionFactoryExt

public class OracleappsCPManagedConnectionFactoryExt

Factory for Oracleapps Connection Pool Managed Connection.

Constructor Summary
`OracleappsCPManagedConnectionFactoryExt()` Creates a new instance of OracleappsCPManagedConnectionFactoryExt

Method Summary
`java.lang.Object` | `createConnectionFactory()` Create an OracleappsAppicationConnectionFactory instance.
`java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)` Create an OracleappsAppicationConnectionFactory instance.
`javax.resource.spi.ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cxRequestInfo)` Creates a new physical connection to the underlying EIS resource manager, ManagedConnectionFactory uses the security information (passed as Subject) and additional ConnectionRequestInfo (which is specific to ResourceAdapter and opaque to application server) to create this new connection.
`void` | `createMBean(java.lang.String mbeanClassName, java.lang.String mbeanName)` Creates the MBean.
`java.lang.String` | `getConfigurationInstance()` Gets the value of the ConfigurationInstance property.
`com.stc.configuration.IConfiguration` | `getConfigurationModel()` Gets the configuration model for the instance of the ManagedConnectionFactory.
`java.lang.String` | `getConfigurationTemplate()` Gets the value of the ConfigurationTemplate property.
`java.lang.String` | `getEwayManagedConnectionMBeanClass()` Gets the value of the EwayMCFMBeanClass property.
`java.lang.String` | `getEwayMCFMBeanClass()` Gets the value of the EwayMCFMBeanClass property.
`java.lang.String` | `getEwayMCFMBeanName()` Gets the value of the EwayMCFMBeanName property.
`java.lang.Object` | `getMBean()` Gets method for ManagedConnectionFactory's MBean
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set connectionSet, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cxRequestInfo)` Returns a matched connection from the candidate set of connections.
`void` | `setConfigurationInstance(java.lang.String configInstance)` Sets the value of the ConfigurationInstance property.
`void` | `setConfigurationTemplate(java.lang.String configTemplate)` Sets the value of the ConfigurationTemplate property.
`void` | `setEwayManagedConnectionMBeanClass(java.lang.String className)` Sets the value of the EwayManagedConnMBeanClass property.
`void` | `setEwayMCFMBeanClass(java.lang.String className)` Sets the value of the EwayMCFMBeanClass property.
`void` | `setEwayMCFMBeanName(java.lang.String mbeanName)` Sets the value of the EwayMCFMBeanName property.
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)` Associate this ManagedConnectionFactory JavaBean with a ResourceAdapter JavaBean.

Constructor Detail

### OracleappsCPManagedConnectionFactoryExt

    public OracleappsCPManagedConnectionFactoryExt()

  Creates a new instance of OracleappsCPManagedConnectionFactoryExt

  Parameters:
    None.

Method Detail

### createConnectionFactory

    public java.lang.Object createConnectionFactory()
                                             throws javax.resource.ResourceException

  Create an OracleappsAppicationConnectionFactory instance.

  Parameters:
    None.
  Returns:
    an OracleappsAppicationConnectionFactory instance.
  Throws:
    `ResourceException` - An exception from the Resource Adapter.

### createConnectionFactory

    public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)
                                             throws javax.resource.ResourceException

  Create an OracleappsAppicationConnectionFactory instance.

  Parameters:
    `cxManager` - a Connection Manager instance.
  Returns:
    an OracleappsAppicationConnectionFactory instance.
  Throws:
    `ResourceException` - An exception from the Resource Adapter.

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cxRequestInfo)
                                                                 throws javax.resource.ResourceException

  Creates a new physical connection to the underlying EIS resource manager, ManagedConnectionFactory uses the security information (passed as Subject) and additional ConnectionRequestInfo (which is specific to ResourceAdapter and opaque to application server) to create this new connection.

  Parameters:
    `subject` - The Subject provided by the container which may contain credentials for authenticating to the EIS.
    `cxRequestInfo` - The ConnectionRequestInfo containing information which can be used for creating the EIS connection.
  Returns:
    A ManagedConnection instance.
  Throws:
    `ResourceException` - upon error.

### createMBean

    public void createMBean(java.lang.String mbeanClassName,
                            java.lang.String mbeanName)
                     throws com.stc.connector.management.STCCreateMBeanException

  Creates the MBean.

  Parameters:
    `mbeanClassName` - classname of MBean impl class
    `mbeanName` - name of MBean
  Throws:
    None.
  Returns:
    `void` - None.

### getConfigurationInstance

    public java.lang.String getConfigurationInstance()

  Gets the value of the ConfigurationInstance property.

  Returns:
    String containing the value of the ConfigurationInstance property.
    Parameters:
      None.
  Throws:
    None.

### getConfigurationModel

    public com.stc.configuration.IConfiguration getConfigurationModel()
                                                               throws java.lang.Exception

  Gets the configuration model for the instance of the ManagedConnectionFactory. The configuration model holds the properties of the ManagedConnectionFactory.

  Parameters:
    None.
  Returns:
    An instance of IConfiguration which can be used to get the properties of the ManagedConnectionFactory.
  Throws:
    `java.lang.Exception` - upon error.

### getConfigurationTemplate

    public java.lang.String getConfigurationTemplate()

  Gets the value of the ConfigurationTemplate property.

  Parameters:
    None.
Throws:
  None.
  Returns:
    String containing the value of the ConfigurationTemplate property.

### getEwayManagedConnectionMBeanClass

    public java.lang.String getEwayManagedConnectionMBeanClass()

  Gets the value of the EwayMCFMBeanClass property.

  Parameters:
    None.
  Returns:
    String containing the value of the EwayManagedConnMBeanClass property.
  Throws:
    None.

### getEwayMCFMBeanClass

    public java.lang.String getEwayMCFMBeanClass()

  Gets the value of the EwayMCFMBeanClass property.

  Parameters:
    None.
Throws:
  None.
  Returns:
    String containing the value of the EwayMCFMBeanClass property.

### getEwayMCFMBeanName

    public java.lang.String getEwayMCFMBeanName()

  Gets the value of the EwayMCFMBeanName property.

  Parameters:
    None.
Throws:
  None.
  Returns:
    String containing the value of the EwayMCFMBeanName property.

### getMBean

    public java.lang.Object getMBean()

  Gets method for ManagedConnectionFactory's MBean

  Parameters:
    None.
  Returns:
    MBean object associated with the managed connection factory
  Throws:
    None.

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set connectionSet,
                                                                        javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cxRequestInfo)
                                                                 throws javax.resource.ResourceException

  Returns a matched connection from the candidate set of connections. ManagedConnectionFactory uses the security info (as in Subject) and information provided through ConnectionRequestInfo and additional Resource Adapter specific criteria to do matching. Note that criteria used for matching is specific to a resource adapter and is not prescribed by the Connector specification. This method returns a ManagedConnection instance that is the best match for handling the connection allocation request.

  Parameters:
    `connectionSet` - The candidate connection set.
    `subject` - The Subject provided by the container which may contain credentials for authenticating to the EIS.
    `cxRequestInfo` - The ConnectionRequestInfo containing information which can be used for creating the EIS connection.
  Returns:
    A ManagedConnection instance from the candidate connection set which matches the Subject and/or ConnectionRequestInfo. A null is returned if no candidates matched; return null causes a new ManagedConnection to be created.
  Throws:
    `ResourceException` - upon error.

### setConfigurationInstance

    public void setConfigurationInstance(java.lang.String configInstance)
                                  throws java.beans.PropertyVetoException,
                                         java.io.UnsupportedEncodingException

  Sets the value of the ConfigurationInstance property.

  Parameters:
    `configInstance` - String containing the value to be assigned to ConfigurationInstance.
  Returns:
    `void` - None.
  Throws:
    `java.beans.PropertyVetoException` - error firing veto-able property change

### setConfigurationTemplate

    public void setConfigurationTemplate(java.lang.String configTemplate)
                                  throws java.beans.PropertyVetoException

  Sets the value of the ConfigurationTemplate property.

  Parameters:
    `configTemplate` - String containing the value to be assigned to ConfigurationTemplate.
  Returns:
    `void` - None.
  Throws:
    `java.beans.PropertyVetoException` - error firing veto-able property change

### setEwayManagedConnectionMBeanClass

    public void setEwayManagedConnectionMBeanClass(java.lang.String className)
                                            throws java.lang.Exception

  Sets the value of the EwayManagedConnMBeanClass property.

  Parameters:
    `className` - String containing the value to be assigned to EwayManagedConnMBeanClass.
  Returns:
    `void` - None.
  Throws:
    `java.lang.Exception` - upon error.

### setEwayMCFMBeanClass

    public void setEwayMCFMBeanClass(java.lang.String className)
                              throws java.lang.Exception

  Sets the value of the EwayMCFMBeanClass property.

  Parameters:
    `className` - String containing the value to be assigned to EwayMCFMBeanClass.
  Returns:
    `void` - None.
  Throws:
    `java.lang.Exception` - upon error.

### setEwayMCFMBeanName

    public void setEwayMCFMBeanName(java.lang.String mbeanName)
                             throws java.lang.Exception

  Sets the value of the EwayMCFMBeanName property.

  Parameters:
    `className` - String containing the value to be assigned to EwayMCFMBeanName.
  Returns:
    `void` - None.
  Throws:
    `java.lang.Exception` - upon error.

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)
                            throws javax.resource.ResourceException

  Associate this ManagedConnectionFactory JavaBean with a ResourceAdapter JavaBean. Note, this method must be called exactly once; that is, the association must not change during the lifetime of this ManagedConnectionFactory JavaBean.

  Parameters:
    `resourceAdapter` - The ResourceAdapter JavaBean.
  Returns:
    `void` - None.
  Throws:
    `ResourceException` - upon error.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.